summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-03-01 09:01:53 +0100
committerMichał Górny <mgorny@gentoo.org>2017-03-01 09:03:03 +0100
commit2b4226390d9bfeec7c17b395c41c4df0f496ada0 (patch)
tree11b487f963ba082921ae3a8e777f9f74831d855a /eclass/python-any-r1.eclass
parentapp-editors/gvim: add py36 support (diff)
downloadgentoo-2b4226390d9bfeec7c17b395c41c4df0f496ada0.tar.gz
gentoo-2b4226390d9bfeec7c17b395c41c4df0f496ada0.tar.bz2
gentoo-2b4226390d9bfeec7c17b395c41c4df0f496ada0.zip
python-any-r1.eclass: Move PYTHON_USEDEP doc before globals
Diffstat (limited to 'eclass/python-any-r1.eclass')
-rw-r--r--eclass/python-any-r1.eclass38
1 files changed, 19 insertions, 19 deletions
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 3491604dea41..a1dd4282c1ef 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -126,25 +126,6 @@ if [[ ! ${_PYTHON_ANY_R1} ]]; then
# dev-lang/python:2.6[gdbm] )
# @CODE
-_python_any_set_globals() {
- local usestr i PYTHON_PKG_DEP
- [[ ${PYTHON_REQ_USE} ]] && usestr="[${PYTHON_REQ_USE}]"
-
- _python_set_impls
-
- PYTHON_DEPS=
- for i in "${_PYTHON_SUPPORTED_IMPLS[@]}"; do
- python_export "${i}" PYTHON_PKG_DEP
-
- # note: need to strip '=' slot operator for || deps
- PYTHON_DEPS="${PYTHON_PKG_DEP%=} ${PYTHON_DEPS}"
- done
- PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
- readonly PYTHON_DEPS
-}
-_python_any_set_globals
-unset -f _python_any_set_globals
-
# @ECLASS-VARIABLE: PYTHON_USEDEP
# @DESCRIPTION:
# An eclass-generated USE-dependency string for the currently tested
@@ -166,6 +147,25 @@ unset -f _python_any_set_globals
# python_targets_python2_7(-)?,python_single_target_python2_7(+)?
# @CODE
+_python_any_set_globals() {
+ local usestr i PYTHON_PKG_DEP
+ [[ ${PYTHON_REQ_USE} ]] && usestr="[${PYTHON_REQ_USE}]"
+
+ _python_set_impls
+
+ PYTHON_DEPS=
+ for i in "${_PYTHON_SUPPORTED_IMPLS[@]}"; do
+ python_export "${i}" PYTHON_PKG_DEP
+
+ # note: need to strip '=' slot operator for || deps
+ PYTHON_DEPS="${PYTHON_PKG_DEP%=} ${PYTHON_DEPS}"
+ done
+ PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
+ readonly PYTHON_DEPS
+}
+_python_any_set_globals
+unset -f _python_any_set_globals
+
# @FUNCTION: python_gen_any_dep
# @USAGE: <dependency-block>
# @DESCRIPTION: